commit:     24b0bc25c7844cc26b11eb62b9462706e3e69a7e
Author:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
AuthorDate: Thu Nov  3 12:39:20 2016 +0000
Commit:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
CommitDate: Thu Nov  3 12:39:36 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24b0bc25

sys-cluster/resource-agents: restore 1.0.4-r1 for hppa only

 sys-cluster/resource-agents/files/1.0.3-docs.patch | 31 +++++++++++
 .../files/1.0.3-respect_cflags.patch               | 11 ++++
 .../resource-agents/files/1.0.4-dosymlinks.patch   | 25 +++++++++
 .../resource-agents-1.0.4-r1.ebuild                | 62 ++++++++++++++++++++++
 4 files changed, 129 insertions(+)

diff --git a/sys-cluster/resource-agents/files/1.0.3-docs.patch 
b/sys-cluster/resource-agents/files/1.0.3-docs.patch
new file mode 100644
index 00000000..c406939
--- /dev/null
+++ b/sys-cluster/resource-agents/files/1.0.3-docs.patch
@@ -0,0 +1,31 @@
+--- configure.in
++++ configure.in
+@@ -481,10 +481,12 @@
+ AC_DEFINE_UNQUOTED(POWEROFF_CMD, "$POWEROFF_CMD", path to the poweroff 
command)
+ AC_DEFINE_UNQUOTED(POWEROFF_OPTIONS, "$POWEROFF_OPTIONS", poweroff options)
+ 
+-AC_PATH_PROGS(XSLTPROC, xsltproc)
+-AM_CONDITIONAL(BUILD_DOC, test "x$XSLTPROC" != "x" )
+-if test "x$XSLTPROC" = "x"; then
+-   AC_MSG_WARN([xsltproc not installed, unable to (re-)build manual pages])
+-fi
++AC_ARG_ENABLE([doc],
++      AS_HELP_STRING([--enable-doc],[Build documentation]))
++
++AS_IF([test "x$enable_doc" = "xyes"], [
++      AC_PATH_PROGS(XSLTPROC, xsltproc)
++])
++AM_CONDITIONAL([BUILD_DOC], [test "x$enable_doc" = "xyes"] )
+ AC_SUBST(XSLTPROC)
+ 
+--- doc/Makefile.am
++++ doc/Makefile.am    2010-06-20 22:04:12.649433890 +0000
+@@ -18,7 +18,7 @@
+ # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ #
+ 
+-STYLESHEET_PREFIX     ?= http://docbook.sourceforge.net/release/xsl/current
++STYLESHEET_PREFIX     ?= /usr/share/sgml/docbook/xsl-stylesheets/
+ MANPAGES_STYLESHEET   ?= $(STYLESHEET_PREFIX)/manpages/docbook.xsl
+ HTML_STYLESHEET       ?= $(STYLESHEET_PREFIX)/xhtml/docbook.xsl
+ FO_STYLESHEET                 ?= $(STYLESHEET_PREFIX)/fo/docbook.xsl

diff --git a/sys-cluster/resource-agents/files/1.0.3-respect_cflags.patch 
b/sys-cluster/resource-agents/files/1.0.3-respect_cflags.patch
new file mode 100644
index 00000000..e22603a
--- /dev/null
+++ b/sys-cluster/resource-agents/files/1.0.3-respect_cflags.patch
@@ -0,0 +1,11 @@
+--- configure.in
++++ configure.in
+@@ -646,8 +646,6 @@
+         CFLAGS="$CFLAGS -g"
+       enable_fatal_warnings=no
+ else
+-        CFLAGS="$CFLAGS -ggdb3 -O0"
+-
+       # We had to eliminate -Wnested-externs because of libtool changes
+       # Also remove -Waggregate-return because we use one libnet
+       # call which returns a struct

diff --git a/sys-cluster/resource-agents/files/1.0.4-dosymlinks.patch 
b/sys-cluster/resource-agents/files/1.0.4-dosymlinks.patch
new file mode 100644
index 00000000..3fe17fc
--- /dev/null
+++ b/sys-cluster/resource-agents/files/1.0.4-dosymlinks.patch
@@ -0,0 +1,25 @@
+--- a/configure.in     2011-02-28 11:51:26.198614376 +0100
++++ b/configure.in     2011-02-28 11:59:10.201953304 +0100
+@@ -79,6 +79,7 @@
+ dnl ===============================================
+ dnl Helpers 
+ dnl ===============================================
++AC_PROG_LN_S
+ cc_supports_flag() {
+          local CFLAGS="$@"
+          AC_MSG_CHECKING(whether $CC supports "$@")
+--- a/Makefile.am      2011-02-28 11:51:26.188614089 +0100
++++ b/Makefile.am      2011-02-28 13:36:15.860697714 +0100
+@@ -24,6 +24,12 @@
+ install-exec-local:
+       $(INSTALL) -d -m 1755 $(DESTDIR)$(HA_RSCTMPDIR)
+ 
++      $(LN_S) ../../lib/heartbeat/ocf-binaries 
$(DESTDIR)${OCF_RA_DIR}/heartbeat/.ocf-binaries
++      $(LN_S) ../../lib/heartbeat/ocf-directories 
$(DESTDIR)${OCF_RA_DIR}/heartbeat/.ocf-directories
++      $(LN_S) ../../lib/heartbeat/ocf-returncodes 
$(DESTDIR)${OCF_RA_DIR}/heartbeat/.ocf-returncodes
++      $(LN_S) ../../lib/heartbeat/ocf-shellfuncs 
$(DESTDIR)${OCF_RA_DIR}/heartbeat/.ocf-shellfuncs
++      
++
+ dist-clean-local:
+       rm -f autoconf automake autoheader $(TARFILE)
+ 

diff --git a/sys-cluster/resource-agents/resource-agents-1.0.4-r1.ebuild 
b/sys-cluster/resource-agents/resource-agents-1.0.4-r1.ebuild
new file mode 100644
index 00000000..7ed2c40
--- /dev/null
+++ b/sys-cluster/resource-agents/resource-agents-1.0.4-r1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+
+MY_P="${P/resource-}"
+inherit autotools multilib eutils base
+
+DESCRIPTION="Resources pack for Heartbeat / Pacemaker"
+HOMEPAGE="http://www.linux-ha.org/wiki/Resource_Agents";
+SRC_URI="http://hg.linux-ha.org/agents/archive/${MY_P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="hppa"
+IUSE="doc libnet"
+
+DEPEND="sys-apps/iproute2
+       sys-cluster/cluster-glue
+       !<sys-cluster/heartbeat-3.0
+       libnet? ( net-libs/libnet:1.1 )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/Cluster-Resource-Agents-${MY_P}"
+
+PATCHES=(
+       "${FILESDIR}/1.0.3-docs.patch"
+       "${FILESDIR}/1.0.3-respect_cflags.patch"
+       "${FILESDIR}/1.0.4-dosymlinks.patch"
+)
+
+src_prepare() {
+       base_src_prepare
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --disable-dependency-tracking \
+               --disable-fatal-warnings \
+               --localstatedir=/var \
+               --docdir=/usr/share/doc/${PF} \
+               --libdir=/usr/$(get_libdir) \
+               --with-ocf-root=/usr/$(get_libdir)/ocf \
+               $(use_enable doc) \
+               $(use_enable libnet)
+}
+
+src_install() {
+       base_src_install
+       rm -rf "${D}"/etc/init.d/ldirectord || die
+}
+
+pkg_postinst() {
+       elog "To use Resource Agents installed in 
/usr/$(get_libdir)/ocf/resource.d"
+       elog "you have to emerge required runtime dependencies manually."
+       elog ""
+       elog "Description and dependencies of all Agents can be found on"
+       elog "http://www.linux-ha.org/wiki/Resource_Agents";
+       elog "or in the documentation of this package."
+}

Reply via email to